Subject: Re: bug#39340: 26.3; "Noto Emoji" font not displayed

From: YAGI Tatsuya <[email-masked]>
Date: Sat, 01 Feb 2020 20:52:12 +0900

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked]
>> Date: Sat, 01 Feb 2020 12:54:52 +0900
>> 
>> Starting 'emacs -Q', I got 10480.txt with the following form.
>>   (let ((c #x10480)
>>         font-log)
>>     (insert c)
>>     (redisplay)
>>     (let ((coding-system-for-write 'utf-8-dos))
>>       (write-region (pp (reverse font-log)) nil (format "%X.txt" c))))
>> 
>> Starting another 'emacs -Q' and replacing the value of c to #x104A0,
>> I got 104A0.txt.
>
> Thanks.  The log mentions "Unifont Upper" font.  What is it?  Can you
> try uninstalling it?

GNU unifont is a bitmap font which covers most of unicode characters.
"Unifont Upper" is a font for unicode-smp.

I uninstalled "Unifont Upper" and got 104A0-2.txt.
OSMANYA DIGITs are not displayed yet.